GeoNames Home | Postal Codes | Download / Webservice | About 

GeoNames Forum
  [Search] Search   [Recent Topics] Recent Topics   [Groups] Back to home page 
[Register] Register / 
[Login] Login 
geonames.org/maps/wikipedia.html uses out of date api  XML
Forum Index -> FAQ - frequently asked questions
Author Message
AartBluestoke



Joined: 05/05/2015 02:02:45
Messages: 1
Offline


the javascript contorl panel throws a few errors: "Control is no longer supported in the Google Maps Javascript API v2. Please visit https://developers.google.com/maps/documentation/javascript/v2/v2tov3 to migrate your application to v3.
Map.addControl is no longer...
ScaleControl is no longer ...

"Warning: Version 2 of the Google Maps JavaScript API is no longer available. Please follow the guide to migrate your code to version 3 of the Google Maps JavaScript API. As of November 19, 2013, all applications requesting v2 are served a special, wrapped version of the v3 API instead. We expect this wrapped version of the API to work for most simple maps, but we strongly encourage you to migrate to the v3 API immediately."

info can be found at http://googlegeodevelopers.blogspot.com.au/2013/04/an-update-on-javascript-maps-api-v2.html

one of the new features of the v3 api is the ability to query elevation; you would be able to automatically fill that in for the user.
marc



Joined: 08/12/2005 07:39:47
Messages: 3993
Offline

yes, you are right. This is the old version.
You can browse the wikipedia layer with the new layout selecing 'wikipedia' and deselecting the geonames layer.
I have put it on the todo list to update the wikipedia.html page to use the new layout.

Regards

Marc

[WWW]
 
Forum Index -> FAQ - frequently asked questions
Go to:   
Powered by JForum 2.1.5 © JForum Team